import { html } from 'lit-html';
const meta = {
    title: 'Multiselect',
    component: 'rapid-multiselect',
};
export default meta;
const countriesList = [
    'Afghanistan',
    'Aland Islands',
    'Albania',
    'Algeria',
    'American Samoa',
    'Andorra',
    'Angola',
    'Anguilla',
    'Antarctica',
    'Antigua and Barbuda',
    'Argentina',
    'Armenia',
    'Aruba',
    'Australia',
    'Austria',
    'Azerbaijan',
    'Bahamas',
    'Bahrain',
    'Bangladesh',
    'Barbados',
    'Belarus',
    'Belgium',
    'Belize',
    'Benin',
    'Bermuda',
    'Bhutan',
    'Bolivia',
    'Bonaire, Sint Eustatius and Saba',
    'Bosnia and Herzegovina',
    'Botswana',
    'Bouvet Island',
    'Brazil',
    'British Indian Ocean Territory',
    'Brunei Darussalam',
    'Bulgaria',
    'Burkina Faso',
    'Burundi',
    'Cambodia',
    'Cameroon',
    'Canada',
    'Cape Verde',
    'Cayman Islands',
    'Central African Republic',
    'Chad',
];
const disabledCountriesExample = [
    {
        value: 'AFG',
        label: 'Afghanistan',
        disabled: false,
    },
    {
        value: 'ALA',
        label: 'Aland Islands',
    },
    {
        value: 'ALB',
        label: 'Albania',
        disabled: false,
    },
    {
        value: 'ALG',
        label: 'Algeria',
        disabled: false,
    },
    {
        value: 'AND',
        label: 'Andorra',
        disabled: true,
    },
    {
        value: 'ARG',
        label: 'Argentina',
        disabled: true,
    },
    {
        value: 'ARM',
        label: 'Armenia',
        disabled: false,
    },
    {
        value: 'AUS',
        label: 'Australia',
        disabled: false,
    },
    {
        value: 'AUT',
        label: 'Austria',
        disabled: true,
    },
    {
        value: 'AZE',
        label: 'Azerbaijan',
        disabled: false,
    },
];
const makeStory = (args) => ({
    render: ({ name, text, countries, search, disabled, creatable, autoPosition, position, filterByContains, }) => html `
    <div style="min-height: 400px;">
      <rapid-multiselect
        name="${name}"
        .options="${countries}"
        auto-position="${autoPosition}"
        position="${position}"
        search="${search}"
        disabled="${disabled}"
        creatable="${creatable}"
        filter-by-contains="${filterByContains}"
      >
        <label slot="label">${text}</label>
      </rapid-multiselect>
    </div>
  `,
    args: Object.assign({ name: 'Countries', search: true, disabled: false, countries: countriesList, autoPosition: true, position: 'below', creatable: false, filterByContains: false }, args),
});
export const Primary = makeStory({ text: 'MultiSelect' });
export const Disabled = makeStory({ text: 'Disabled', disabled: true });
export const DisabledOptions = makeStory({
    text: 'Disabled Options',
    countries: disabledCountriesExample,
});
export const AutoPosition = makeStory({
    text: 'Disabled Auto Position',
    countries: disabledCountriesExample,
    autoPosition: false,
    position: 'above',
});
export const Creatable = makeStory({
    text: 'Creatable',
    countries: disabledCountriesExample,
    autoPosition: false,
    position: 'above',
    creatable: true,
});
export const ContainsSearch = makeStory({
    text: 'Search By Contains',
    filterByContains: true,
});
